<?php
/**
 * @package Book_Now
 * @version 1.2.2
 */
/*
Plugin Name: Book Now
Plugin URI: http://wordpress.org/plugins/hello-dolly/
Description: This plugin adds a fixed call to action button to your site, with text and link to anywhere you want.
Author: RianGraphics
Version: 1.2.2
Author URI: http://www.riangraphics.com/book-now/
*/

add_action( 'admin_menu', 'book_now_menu' );

function book_now_menu() {
	add_menu_page( 'Book Now', 'Book Now', 'manage_options', 'book-now-page.php', 'book_now_page', plugin_dir_url( __FILE__ ) . 'img/icon.png', 6  );
add_action( 'admin_init', 'register_book_now_settings' );

}

function register_book_now_settings() {
	//register our settings
        register_setting( 'book-now-settings-group', 'rg_book_enable' );
	    register_setting( 'book-now-settings-group', 'rg_book_text' );
	    register_setting( 'book-now-settings-group', 'rg_book_url' );
	    register_setting( 'book-now-settings-group', 'rg_left_right' );
        register_setting( 'book-now-settings-group', 'rg_book_color' );
        register_setting( 'book-now-settings-group', 'rg_text_color' );
}

function book_now_page() {
?>
<div class="wrap">
    <img src="<?php echo plugin_dir_url( __FILE__ ) . 'img/book-now-logo.png'; ?>" alt="Book Now" />
		<h2>Book Now Settings</h2>

<form method="post" action="options.php">
    <?php settings_fields( 'book-now-settings-group' ); ?>
    <?php do_settings_sections( 'book-now-settings-group' ); ?>
    <table class="form-table">
        <tr valign="top">
        <th scope="row">Enable/Disable</th>
        <td><input name="rg_book_enable" type="checkbox" value="1" <?php checked( '1', get_option( 'rg_book_enable' ) ); ?> /></td>
        </tr>

        <tr valign="top">
        <th scope="row">Short text to display</th>
        <td><input type="text" name="rg_book_text" value="<?php echo esc_attr( get_option('rg_book_text', 'Book Now') ); ?>" /></td>
        </tr>
         
        <tr valign="top">
        <th scope="row">Full url</th>
        <td><input type="text" name="rg_book_url" value="<?php echo esc_attr( get_option('rg_book_url', 'http://example.com') ); ?>" /></td>
        </tr>
        
        <tr valign="top">
        <th scope="row">Left or Right</th>
        <td>
<select name="rg_left_right"> 
         <option <?php if(get_option('rg_left_right') == 'left') { echo 'selected';} ?> value="left">Left</option>
        <option <?php if(get_option('rg_left_right') == 'right') { echo 'selected';} ?> value="right">Right</option> 
       </select>
</td>
        </tr>
        <tr valign="top">
        <th scope="row">Background Color ex(#000000)</th>
        <td><input type="text" name="rg_book_color" value="<?php echo esc_attr( get_option('rg_book_color', '#000000') ); ?>" /></td>
        </tr>
        <tr valign="top">
        <th scope="row">Text Color ex(#FFFFFF)</th>
        <td><input type="text" name="rg_text_color" value="<?php echo esc_attr( get_option('rg_text_color', '#FFFFFF') ); ?>" /></td>
        </tr>
    </table>
    
    <?php submit_button(); ?>

</form>
</div>
<?php } 


function book_now() {
         $myurl = get_option('rg_book_url');
         $mytext = get_option('rg_book_text');
         $mytrue = get_option( 'rg_book_enable' );
	if(!is_admin() && $mytrue == 1 ) {
	echo "
              <div id='rg-book'>
              <a href='$myurl'>$mytext</a>
              </div>
               ";
  }
}

// Now we set that function up to execute when the admin_notices action is called
add_action( 'wp_footer', 'book_now' );

// We need some CSS to position the paragraph
function book_css() {
	
	$mytrue = get_option( 'rg_book_enable' );
        $bgcolor = get_option('rg_book_color');
        $txtcolor = get_option('rg_text_color');
        $lor = get_option('rg_left_right');
        $deg = '';
        if($lor == right) {
         $deg = '-90deg';
        } else {
           $deg = '90deg';
        }
if( $mytrue == 1 ) {
	echo '
	<style type="text/css">
	#rg-book {
           position: fixed;
           transform: rotate('.$deg.');
           '.$lor.': -80px;
           width: 200px;
           height: auto;
           text-align: center;
           padding: 10px;
           border-top-left-radius: 10px;
           border-top-right-radius: 10px;
           z-index: 9999;
           bottom: 40%;
           background: '.$bgcolor.';
           color: '.$txtcolor.'!important;
           box-shadow: 0 10px 20px rgba(0,0,0,0.19), 0 6px 6px rgba(0,0,0,0.23);
	}

      #rg-book a {
          color: '.$txtcolor.';
          text-transform:uppercase;
          font-size:20px;
          font-weight:700;  
        }
@media screen and (max-width:767px) {
 #rg-book {
    position: fixed;
    transform: none;
    right: inherit;
    width: auto;
    margin:0 auto;
    height: auto;
    text-align: center;
    padding: 5px;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
    z-index: 9999;
    bottom: 0;
    background: '.$bgcolor.';
}

#rg-book a {
  text-transform:uppercase;
  font-size:16px;
  font-weight:700;
  
}
}
	</style>
	';
}
}

add_action( 'wp_footer', 'book_css' );

?>
